## tde-style-polyester-trinity 14.1.2

=== client/CMakeLists.txt ===
################################################################################
#  Polyester  - widget style and twin decoration aimed to be a good balance    #
#               between eye candy and simplicity                               #
#                                                                              #
#  This file is released under the GNU GPL version 3 or later.                 #
#  Improvements and feedback are welcome!                                      #
################################################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)

tde_import(twin)


### buttons.h ##################################################################

file(
    GLOB buttons_SOURCES
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}/images
    ${CMAKE_CURRENT_SOURCE_DIR}/images/*.svg
)
list( SORT buttons_SOURCES )

unset( buttons_IMAGES )
file( MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/images )
foreach( _image IN LISTS buttons_SOURCES )
  get_filename_component( _image_base ${_image} NAME_WE )
  add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/images/${_image_base}.png
    COMMAND ${RSVG_COMMAND}
      --width=32 --height=32 --format=png
      --output=${CMAKE_CURRENT_BINARY_DIR}/images/${_image_base}.png
      ${CMAKE_CURRENT_SOURCE_DIR}/images/${_image}
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/images/${_image}
  )
  list( APPEND buttons_IMAGES "images/${_image_base}.png" )
endforeach()

add_custom_target( buttons-prepare-images
    COMMENT "Prepare images for embed into buttons"
    DEPENDS ${buttons_IMAGES}
)

add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/buttons.h
    COMMAND ${UIC_EXECUTABLE} -obuttons.h.in -embed buttons ${buttons_IMAGES}
    COMMAND sed "s/factory/bfactory/" < buttons.h.in > buttons.h
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Embed images for buttons"
    DEPENDS buttons-prepare-images
)
add_custom_target( buttons-embed-images
    COMMENT "Generate embed images for buttons"
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/buttons.h
)


### twin_polyester (kpart) #####################################################

tde_add_kpart( twin_polyester AUTOMOC

  SOURCES
    polyester.cpp
    shadow.cpp
    ${CMAKE_SOURCE_DIR}/style/misc.cpp

  LINK
    tdecore-shared
    tdeui-shared
    tdecorations-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}

  DEPENDENCIES buttons-embed-images
)


### other data #################################################################

install(
  FILES polyester.desktop
  DESTINATION ${DATA_INSTALL_DIR}/twin
)


### configuration module #######################################################

add_subdirectory(config)

=== debian/changelog ===
tde-style-polyester-trinity (4:14.1.2-0ubuntu22.10.1+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tde-style-polyester

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 06 May 2024 14:32:17 +0200

tde-style-polyester-trinity (1.0.3-2) unstable; urgency=low

  * Initial release for TDE

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Tue, 22 Mar 2024 21:04:00 +0900

kde-style-polyester (1.0.3-1) unstable; urgency=low

  * New upstream release (Closes: 442928)
  * Hardcode the uic usage to use uic-qt3
  * Bump standards
  * Move homepage from description to header
  * Don't ignore errors on make clean
  * Add some explicit linkage when needed
  * --as-needed

 -- Sune Vuorela <debian@pusling.com>  Sat, 26 Jan 2008 18:14:24 +0100

kde-style-polyester (1.0.1-1) unstable; urgency=low

  [ Sarah Hobbs ]
  * New Upstream Version.
  * Added 03_GCC4.3_FTBFS_fix.diff. (Closes: #419799)
    Thanks to Martin Michlmayr for reporting and for the patch.
  * Removed 01_autoconf2.6-fixes.diff - fixed upstream.

  [ Sune Vuorela ]
  * Thanks to Sarah Hobbs for adding the new upstream version.

 -- Sune Vuorela <debian@pusling.com>  Fri, 18 May 2007 00:27:53 +0200

kde-style-polyester (1.0-3) unstable; urgency=low

  * Upload to unstable

 -- Sune Vuorela <debian@pusling.com>  Fri, 13 Apr 2007 23:36:44 +0200

kde-style-polyester (1.0-2) experimental; urgency=low

  * The glib-and-their-way-to-not-respect-$HOME-sucks-bigtime release
  * Use librsvg2-bin to convert the svg files to .png files instead of
    inkscape (Closes: #413939)
  * Run the create-buttons.sh with sh -e to make sure that build fails if the
    svg to png conversion fails
  * Use nice quilt (>>0.40) to manage patches

 -- Sune Vuorela <debian@pusling.com>  Tue, 20 Mar 2007 09:29:17 +0100

kde-style-polyester (1.0-1) experimental; urgency=low

  * New upstream release
  * Build buttons.h on the fly instead of relying on the upstream buttons.h. 
    the uic command generates apparantly endian-specific code. 
    (Closes: #410373)
  * Experimental because of etch

 -- Sune Vuorela <debian@pusling.com>  Tue,  6 Mar 2007 23:42:32 +0100

kde-style-polyester (1.0~beta1-1) unstable; urgency=low

  * New upstream release
  * Ack NMU ; thanks Marga and Arjan (Closes: #379812)

 -- Sune Vuorela <debian@pusling.com>  Thu, 28 Sep 2006 15:38:46 +0200

kde-style-polyester (0.9.2-1.1) unst able; urgency=low

  * Non-maintainer upload to fix Failure To Build From Source due to the lack
    of support of autoconf 2.6. Thanks to Arjan Oosting for the patch.
    (Closes: #379812)

 -- Margarita Manterola <marga@debian.org>  Wed,  2 Aug 2006 17:15:23 -0300

kde-style-polyester (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Fixes copyright file
  * Taking over after Michael Biebls initial work. Thank you.
  * Renaming source pacage
  * Initial upload. Closes: #338635

 -- Sune Vuorela <debian@pusling.com>  Sat, 27 May 2006 18:45:00 +0000

polyester (0.9-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.7.2, no further changes required.

 -- Michael Biebl <biebl@teco.edu>  Mon, 10 Apr 2006 03:39:16 +0200

polyester (0.8.5-1) unstable; urgency=low

  * New upstream release.
  * Skipped version 0.8.

 -- Michael Biebl <biebl@teco.edu>  Wed,  8 Mar 2006 23:24:38 +0100

polyester (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped debhelper compatibility to 5.

 -- Michael Biebl <biebl@teco.edu>  Wed, 22 Feb 2006 15:42:53 +0100

polyester (0.7-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@teco.edu>  Sat, 14 Jan 2006 22:29:58 +0100

polyester (0.6.9-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@teco.edu>  Sun,  8 Jan 2006 18:26:00 +0100

polyester (0.6.5-1) unstable; urgency=low

  * Initial release.
  * Use Debian libtool and regenerate the autotools files. 
    + Add build dependencies to automake1.9, autoconf and libtool.
    + Patch makefile_am.diff adds missing libraries needed for linking.

 -- Michael Biebl <biebl@teco.edu>  Mon, 19 Dec 2005 11:47:20 +0100

## tde-style-polyester-trinity 14.1.3

=== debian/changelog ===
tde-style-polyester-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tde-style-polyester

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:47:34 +0200

## tde-style-polyester-trinity 14.1.4

=== debian/changelog ===
tde-style-polyester-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tde-style-polyester

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## tde-style-polyester-trinity 14.1.5~pre1

=== debian/changelog ===
tde-style-polyester-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 4e436dc4a610d41dc582571a8426d2e694a0e893
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-style-polyester

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-style-polyester-trinity 14.1.5

=== style/config/CMakeLists.txt ===
################################################################################
#  Polyester  - widget style and twin decoration aimed to be a good balance    #
#               between eye candy and simplicity                               #
#                                                                              #
#  This file is released under the GNU GPL version 3 or later.                 #
#  Improvements and feedback are welcome!                                      #
################################################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

### tdestyle_polyester_config (kpart) ##########################################

tde_add_kpart( tdestyle_polyester_config AUTOMOC

  SOURCES
    configdialog.ui
    polyesterconf.cpp

  LINK
    tdecore-shared
    tdeui-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== debian/changelog ===
tde-style-polyester-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tde-style-polyester

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-style-polyester-trinity 14.1.6~pre0

=== debian/changelog ===
tde-style-polyester-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 4e436dc4a610d41dc582571a8426d2e694a0e893
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-polyester

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## tde-style-polyester-trinity 14.1.6~pre1

=== debian/changelog ===
tde-style-polyester-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 81e48913c17a8ddc0efe85e9e6c6f96bca654e17
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-polyester

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:16:03 +0100

## tde-style-polyester-trinity 14.1.6~pre2

=== debian/changelog ===
tde-style-polyester-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for f22ff0d3337f2ccfe3a7d666b9b7450744fb6f6f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#tde-style-polyester

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 10 Jan 2026 22:30:19 +0100

## tde-style-polyester-trinity 14.2.0~pre46

=== client/CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
 )
 
 add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/buttons.h
-    COMMAND ${UIC_EXECUTABLE} -obuttons.h.in -embed buttons ${buttons_IMAGES}
+    COMMAND ${TQUIC_EXECUTABLE} -obuttons.h.in -embed buttons ${buttons_IMAGES}
     COMMAND sed "s/factory/bfactory/" < buttons.h.in > buttons.h
     WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
     COMMENT "Embed images for buttons"

=== debian/changelog ===
tde-style-polyester-trinity (4:14.2.0~pre46-0raspbian11.0.0+6) raspbian-bullseye; urgency=low

  * Automated git build for 211f4d99ed7e69be39c9286e85ec3cbcce6153e1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-polyester

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
Source: tde-style-polyester-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Sune Vuorela <debian@pusling.com>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, tdebase-trinity-dev, librsvg2-bin
Standards-Version: 3.7.3

Package: tde-style-polyester-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Polyester widget style and twin decoration for TDE
 Widget style and twin decoration both aim to maintain a good balance between
 eyecandy and simplicity. Widget style is based on Plastik, window decoration
 is based on Smoothblend.

## tde-style-polyester-trinity 14.2.0~pre47

=== debian/changelog ===
tde-style-polyester-trinity (4:14.2.0~pre47-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for bb26f87fbc92ae096553d81ee2b815c32237eb12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-polyester

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:12:00 +0100

## tde-style-polyester-trinity 14.2.0~pre48

=== debian/changelog ===
tde-style-polyester-trinity (4:14.2.0~pre48-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for d8416b8f49a211af30143eb572cf761f9f075ab0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tde-style-polyester

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 10 Jan 2026 03:07:19 +0100
